<?php

/*------------------------------------------------------------------------------
** File:        CloudKVS.php
** Class:       -
** Description: CloudKVS_Server for php
** Version:     0.1
** Updated:     16.08.2019
** Author:      Toky Olivier RAZANAKOTONARIVO
** Homepage:    www.soinala-studio.com 
**------------------------------------------------------------------------------ */

require_once( 'CloudKVSDB.php' );
require_once('B4XSerializator.php');

$db = new CloudKVSDB('localhost', 	//host
					 'root', 		//user name
					 'root',  		//password
					 'cloudkvs' 	//database name
					 );

$ser = new B4XSerializator(false);
$inputstream = fopen('php://input', 'rb');
$task = $ser->ConvertBytesToObject(stream_get_contents($inputstream));
$taskname = $task->Fields['TaskName'];
$taskitem = $task->Fields['TaskItem'];
if (strpos($taskname, 'getuser')===0){
	$items = $db->GetUserItems($taskitem->Fields['UserField'], $taskitem->Fields['KeyField']);
	$ser->OutputBytes($ser->ConvertObjectToBytes($items));
} elseif (strpos($taskname, 'additem')===0) {
	$db->AddItem($taskitem);
}
